Attribute classes
=================

.. currentmodule:: tango

Attr
----

.. autoclass:: tango.Attr
    :members:

Attribute
---------

.. autoclass:: tango.Attribute
    :members:

WAttribute
----------

.. autoclass:: tango.WAttribute
    :members:

MultiAttribute
--------------

.. autoclass:: tango.MultiAttribute
    :members:
    
UserDefaultAttrProp
-------------------

.. autoclass:: tango.UserDefaultAttrProp
    :members:
